#!/bin/bash
#
# Copyright Martin Owens 2010
# 
# License: GPLv3
#

LOGFILE=/tmp/groundcontrol-devel

check_package() {
    dpkg -l $1 | grep -q ^ii
    if [ $? -ne 0 ]; then
       echo "Package $1: NOT Installed"
       return 0
    else
       echo "Package $1: Installed"
       return 1
    fi
}

package_install() {
    check_package $1 && sudo apt-get install $1
}

package_uninstall() {
    check_package $1 || sudo apt-get purge $1
}

reattach() {
  rm $1/$2
  ln -s $PWD/$2 $1
}

package_uninstall groundcontrol
package_install python-nautilus
package_install python-yaml

LOCATION=$HOME/.nautilus/python-extensions

mkdir -p $LOCATION
reattach $LOCATION nautilus-groundcontrol.py
reattach $LOCATION GroundControl

nautilus --quit

nautilus $PWD

