#
# Copyright 2009, Martin Owens.
#
# This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>
#
"""
Tests for the fake launchpad web client.
"""

import unittest
from test import test_support

from GroundControl.launchpadweb import LaunchpadWeb, NotLogedInError

PASSWORD = 'NOSTORED'
USERNAME = 'none'
EMAILADD = 'none@gmail.com'

class LaunchpadWebTestCase(unittest.TestCase):
    """Testcase for launchpad web client"""
    def setUp(self):
        """Set up the launchpad web tests"""
        self.lp = LaunchpadWeb(EMAILADD)

    def test_request(self):
        """Test a basic request"""
        content = self.lp.request('')
        self.assert_(content, "Can't make request")

    def test_login(self):
        """Test loging into launchpad"""
        result = self.lp.login(PASSWORD)
        content = self.lp.request('~'+USERNAME)
        if 'Log In' in content:
            self.assert_(False, "Not logged in yet")


if __name__ == '__main__':
    test_support.run_unittest(
       LaunchpadWebTestCase,
    )

